Index: sasmodels/models/core_shell_bicelle_elliptical.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/core_shell_bicelle_elliptical.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -35,5 +35,5 @@
 
 static double
-effective_radius(int mode, double r_minor, double x_core, double thick_rim, double thick_face, double length)
+radius_effective(int mode, double r_minor, double x_core, double thick_rim, double thick_face, double length)
 {
     switch (mode) {
Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -155,5 +155,5 @@
           "core_shell_bicelle_elliptical.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume", "equivalent volume sphere",
     "outer rim average radius", "outer rim min radius",
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -36,5 +36,5 @@
 
 static double
-effective_radius(int mode, double r_minor, double x_core, double thick_rim, double thick_face, double length)
+radius_effective(int mode, double r_minor, double x_core, double thick_rim, double thick_face, double length)
 {
     switch (mode) {
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -168,5 +168,5 @@
           "core_shell_bicelle_elliptical_belt_rough.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume", "equivalent volume sphere",
     "outer rim average radius", "outer rim min radius",
Index: sasmodels/models/core_shell_cylinder.c
===================================================================
--- sasmodels/models/core_shell_cylinder.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/core_shell_cylinder.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -37,5 +37,5 @@
 
 static double
-effective_radius(int mode, double radius, double thickness, double length)
+radius_effective(int mode, double radius, double thickness, double length)
 {
     switch (mode) {
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision 81d0b9bccff7ed3da6e4dd6a1f3cebae2e86f542)
+++ sasmodels/models/core_shell_cylinder.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -141,5 +141,5 @@
 source = ["lib/polevl.c", "lib/sas_J1.c", "lib/gauss76.c", "core_shell_cylinder.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "excluded volume", "equivalent volume sphere", "outer radius", "half outer length",
     "half min outer dimension", "half max outer dimension", "half outer diagonal",
Index: sasmodels/models/core_shell_ellipsoid.c
===================================================================
--- sasmodels/models/core_shell_ellipsoid.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/core_shell_ellipsoid.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -68,5 +68,5 @@
 
 static double
-effective_radius(int mode, double radius_equat_core, double x_core, double thick_shell, double x_polar_shell)
+radius_effective(int mode, double radius_equat_core, double x_core, double thick_shell, double x_polar_shell)
 {
     const double radius_equat_tot = radius_equat_core + thick_shell;
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision e5a8f33dff2ddeac9fa0154daadf4f8eaed568e2)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -3,8 +3,8 @@
 ----------
 
-Parameters for this model are the core axial ratio $X_{core}$ and a shell 
-thickness $t_{shell}$, which are more often what we would like to determine 
-and make the model better behaved, particularly when polydispersity is 
-applied, than the four independent radii used in the original parameterization 
+Parameters for this model are the core axial ratio $X_{core}$ and a shell
+thickness $t_{shell}$, which are more often what we would like to determine
+and make the model better behaved, particularly when polydispersity is
+applied, than the four independent radii used in the original parameterization
 of this model.
 
@@ -19,5 +19,5 @@
 $X_{core}$ = 1 is a spherical core.
 
-For a fixed shell thickness $X_{polar shell}$ = 1, to scale $t_{shell}$ 
+For a fixed shell thickness $X_{polar shell}$ = 1, to scale $t_{shell}$
 pro-rata with the radius set or constrain $X_{polar shell}$ = $X_{core}$.
 
@@ -47,5 +47,4 @@
 
 .. In following equation SK changed radius\_equat\_core to R_e
-  
 .. math::
     :nowrap:
@@ -76,6 +75,6 @@
 $V = (4/3)\pi R_pR_e^2$ is the volume of the ellipsoid , $R_p$ is the
 polar radius along the rotational axis of the ellipsoid, $R_e$ is the
-equatorial radius perpendicular to the rotational axis of the ellipsoid, 
-$t_{shell}$ is the thickness of the shell at the equator, 
+equatorial radius perpendicular to the rotational axis of the ellipsoid,
+$t_{shell}$ is the thickness of the shell at the equator,
 and $\Delta \rho$ (the contrast) is the scattering length density difference,
 either $(\rho_{core} - \rho_{shell})$ or $(\rho_{shell} - \rho_{solvent})$.
@@ -161,5 +160,5 @@
 source = ["lib/sas_3j1x_x.c", "lib/gauss76.c", "core_shell_ellipsoid.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "average outer curvature", "equivalent volume sphere",
     "min outer radius", "max outer radius",
Index: sasmodels/models/core_shell_parallelepiped.c
===================================================================
--- sasmodels/models/core_shell_parallelepiped.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/core_shell_parallelepiped.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -75,5 +75,5 @@
 
 static double
-effective_radius(int mode, double length_a, double length_b, double length_c,
+radius_effective(int mode, double length_a, double length_b, double length_c,
                  double thick_rim_a, double thick_rim_b, double thick_rim_c)
 {
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -236,5 +236,5 @@
 source = ["lib/gauss76.c", "core_shell_parallelepiped.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume",
     "equivalent volume sphere",
Index: sasmodels/models/core_shell_sphere.c
===================================================================
--- sasmodels/models/core_shell_sphere.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
+++ sasmodels/models/core_shell_sphere.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -6,5 +6,5 @@
 
 static double
-effective_radius(int mode, double radius, double thickness)
+radius_effective(int mode, double radius, double thickness)
 {
     switch (mode) {
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/core_shell_sphere.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -60,7 +60,7 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 * **Source added by :** Steve King **Date:** March 25, 2019
 """
@@ -92,5 +92,5 @@
 source = ["lib/sas_3j1x_x.c", "lib/core_shell.c", "core_shell_sphere.c"]
 have_Fq = True
-effective_radius_type = ["outer radius", "core radius"]
+radius_effective_modes = ["outer radius", "core radius"]
 
 demo = dict(scale=1, background=0, radius=60, thickness=10,
Index: sasmodels/models/cylinder.c
===================================================================
--- sasmodels/models/cylinder.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/cylinder.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -32,5 +32,5 @@
 
 static double
-effective_radius(int mode, double radius, double length)
+radius_effective(int mode, double radius, double length)
 {
     switch (mode) {
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -110,7 +110,7 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 * **Source added by :** Steve King **Date:** March 25, 2019
 """
@@ -155,5 +155,5 @@
 source = ["lib/polevl.c", "lib/sas_J1.c", "lib/gauss76.c", "cylinder.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "excluded volume", "equivalent volume sphere", "radius",
     "half length", "half min dimension", "half max dimension", "half diagonal",
@@ -184,26 +184,28 @@
             phi_pd=10, phi_pd_n=5)
 
-# pylint: disable=bad-whitespace, line-too-long
+# Test 1-D and 2-D models
 qx, qy = 0.2 * np.cos(2.5), 0.2 * np.sin(2.5)
-# After redefinition of angles, find new tests values.  Was 10 10 in old coords
+theta, phi = 80.1534480601659, 10.1510817110481  # (10, 10) in sasview 3.x
 tests = [
     [{}, 0.2, 0.042761386790780453],
     [{}, [0.2], [0.042761386790780453]],
-    #  new coords
-    [{'theta':80.1534480601659, 'phi':10.1510817110481}, (qx, qy), 0.03514647218513852],
-    [{'theta':80.1534480601659, 'phi':10.1510817110481}, [(qx, qy)], [0.03514647218513852]],
-    # old coords
-    #[{'theta':10.0, 'phi':10.0}, (qx, qy), 0.03514647218513852],
-    #[{'theta':10.0, 'phi':10.0}, [(qx, qy)], [0.03514647218513852]],
+    [{'theta': theta, 'phi': phi}, (qx, qy), 0.03514647218513852],
+    [{'theta': theta, 'phi': phi}, [(qx, qy)], [0.03514647218513852]],
 ]
-del qx, qy  # not necessary to delete, but cleaner
-
-# Default radius and length
-def calc_volume(radius, length):
-    """Return form volume for cylinder."""
-    return pi*radius**2*length
-def calc_r_effs(radius, length):
-    """Return effective radii for modes 0-7 of cylinder."""
-    return [
+del qx, qy, theta, phi  # not necessary to delete, but cleaner
+
+def _extend_with_reff_tests(radius, length):
+    """Test R_eff and form volume calculations"""
+    # V and Vr are the same for each R_eff mode
+    V = pi*radius**2*length  # shell volume = form volume for solid objects
+    Vr = 1.0  # form:shell volume ratio
+    # Use test value for I(0.2) from above to check Fsq value.  Need to
+    # remove scale and background before testing.
+    q = 0.2
+    scale, background = V, 0.001
+    Fsq = (0.042761386790780453 - background)*scale
+    F = None  # Need target value for <F>
+    # Various values for R_eff, depending on mode
+    r_effs = [
         0.,
         0.5*(0.75*radius*(2.0*radius*length
@@ -216,18 +218,18 @@
         np.sqrt(4*radius**2 + length**2)/2.,
     ]
-r_effs = calc_r_effs(parameters[2][2], parameters[3][2])
-cyl_vol = calc_volume(parameters[2][2], parameters[3][2])
-tests.extend([
-    ({'radius_effective_mode': 0}, 0.1, None, None, r_effs[0], cyl_vol, 1.0),
-    ({'radius_effective_mode': 1}, 0.1, None, None, r_effs[1], None, None),
-    ({'radius_effective_mode': 2}, 0.1, None, None, r_effs[2], None, None),
-    ({'radius_effective_mode': 3}, 0.1, None, None, r_effs[3], None, None),
-    ({'radius_effective_mode': 4}, 0.1, None, None, r_effs[4], None, None),
-    ({'radius_effective_mode': 5}, 0.1, None, None, r_effs[5], None, None),
-    ({'radius_effective_mode': 6}, 0.1, None, None, r_effs[6], None, None),
-    ({'radius_effective_mode': 7}, 0.1, None, None, r_effs[7], None, None),
-])
-del r_effs, cyl_vol
-# pylint: enable=bad-whitespace, line-too-long
+    tests.extend([
+        ({'radius_effective_mode': 0}, q, F, Fsq, r_effs[0], V, Vr),
+        ({'radius_effective_mode': 1}, q, F, Fsq, r_effs[1], V, Vr),
+        ({'radius_effective_mode': 2}, q, F, Fsq, r_effs[2], V, Vr),
+        ({'radius_effective_mode': 3}, q, F, Fsq, r_effs[3], V, Vr),
+        ({'radius_effective_mode': 4}, q, F, Fsq, r_effs[4], V, Vr),
+        ({'radius_effective_mode': 5}, q, F, Fsq, r_effs[5], V, Vr),
+        ({'radius_effective_mode': 6}, q, F, Fsq, r_effs[6], V, Vr),
+        ({'radius_effective_mode': 7}, q, F, Fsq, r_effs[7], V, Vr),
+    ])
+
+# Test Reff and volume with default model parameters
+_extend_with_reff_tests(parameters[2][2], parameters[3][2])
+del _extend_with_reff_tests
 
 # ADDED by:  RKH  ON: 18Mar2016 renamed sld's etc
Index: sasmodels/models/ellipsoid.c
===================================================================
--- sasmodels/models/ellipsoid.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/ellipsoid.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -32,5 +32,5 @@
 
 static double
-effective_radius(int mode, double radius_polar, double radius_equatorial)
+radius_effective(int mode, double radius_polar, double radius_equatorial)
 {
     switch (mode) {
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/ellipsoid.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -167,5 +167,5 @@
 source = ["lib/sas_3j1x_x.c", "lib/gauss76.c", "ellipsoid.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "average curvature", "equivalent volume sphere", "min radius", "max radius",
     ]
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/elliptical_cylinder.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -41,5 +41,5 @@
 
 static double
-effective_radius(int mode, double radius_minor, double r_ratio, double length)
+radius_effective(int mode, double radius_minor, double r_ratio, double length)
 {
     switch (mode) {
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/elliptical_cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -131,5 +131,5 @@
 source = ["lib/polevl.c", "lib/sas_J1.c", "lib/gauss76.c", "elliptical_cylinder.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume",
     "equivalent volume sphere", "average radius", "min radius", "max radius",
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision 40c982540fc3adc5018a73c39d308307a19d52c3)
+++ sasmodels/models/flexible_cylinder.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -33,5 +33,5 @@
 and solvent respectively.
 
-Our model uses the form factor calculations in reference [1] as implemented in a 
+Our model uses the form factor calculations in reference [1] as implemented in a
 c-library provided by the NIST Center for Neutron Research (Kline, 2006). This states:
 
@@ -41,5 +41,5 @@
     pseudocontinuous limit.
     See equations (13,26-27) in the original reference for the details.
-    
+
 .. note::
 
@@ -61,5 +61,27 @@
 
 
-**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the 
+**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the
+reader is strongly encouraged to read reference [1] before use.**
+
+.. note::
+
+    There are several typos in the original reference that have been corrected
+    by WRC [2]. Details of the corrections are in the reference below. Most notably
+
+    - Equation (13): the term $(1 - w(QR))$ should swap position with $w(QR)$
+
+    - Equations (23) and (24) are incorrect; WRC has entered these into
+      Mathematica and solved analytically. The results were then converted to
+      code.
+
+    - Equation (27) should be $q0 = max(a3/(Rg^2)^{1/2},3)$ instead of
+      $max(a3*b(Rg^2)^{1/2},3)$
+
+    - The scattering function is negative for a range of parameter values and
+      q-values that are experimentally accessible. A correction function has been
+      added to give the proper behavior.
+
+
+**This is a model with complex behaviour depending on the ratio of** $L/b$ **and the
 reader is strongly encouraged to read reference [1] before use.**
 
@@ -85,6 +107,6 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 26, 2019
 * **Source added by :** Steve King **Date:** March 25, 2019
Index: sasmodels/models/fuzzy_sphere.c
===================================================================
--- sasmodels/models/fuzzy_sphere.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
+++ sasmodels/models/fuzzy_sphere.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -5,5 +5,5 @@
 
 static double
-effective_radius(int mode, double radius, double fuzziness)
+radius_effective(int mode, double radius, double fuzziness)
 {
     switch (mode) {
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fuzzy_sphere.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -63,7 +63,7 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 * **Source added by :** Steve King **Date:** March 25, 2019
 """
@@ -98,5 +98,5 @@
 source = ["lib/sas_3j1x_x.c", "fuzzy_sphere.c"]
 have_Fq = True
-effective_radius_type = ["radius", "radius + fuzziness"]
+radius_effective_modes = ["radius", "radius + fuzziness"]
 
 def random():
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_cylinder.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -34,5 +34,5 @@
 
 static double
-effective_radius(int mode, double radius, double thickness, double length)
+radius_effective(int mode, double radius, double thickness, double length)
 {
     switch (mode) {
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -110,5 +110,5 @@
 source = ["lib/polevl.c", "lib/sas_J1.c", "lib/gauss76.c", "hollow_cylinder.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "excluded volume", "equivalent outer volume sphere",
     "outer radius", "half length",
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -30,5 +30,5 @@
 
 static double
-effective_radius(int mode, double length_a, double b2a_ratio, double c2a_ratio, double thickness)
+radius_effective(int mode, double length_a, double b2a_ratio, double c2a_ratio, double thickness)
 // NOTE length_a is external dimension!
 {
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -157,5 +157,5 @@
 source = ["lib/gauss76.c", "hollow_rectangular_prism.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume", "equivalent outer volume sphere",
     "half length_a", "half length_b", "half length_c",
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -26,5 +26,5 @@
 
 static double
-effective_radius(int mode, double length_a, double b2a_ratio, double c2a_ratio)
+radius_effective(int mode, double length_a, double b2a_ratio, double c2a_ratio)
 {
     switch (mode) {
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -117,5 +117,5 @@
 source = ["lib/gauss76.c", "hollow_rectangular_prism_thin_walls.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume", "equivalent outer volume sphere",
     "half length_a", "half length_b", "half length_c",
Index: sasmodels/models/mono_gauss_coil.c
===================================================================
--- sasmodels/models/mono_gauss_coil.c	(revision 153f8f65310518796a9b07f12a9e7cfa49ee4111)
+++ sasmodels/models/mono_gauss_coil.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -6,5 +6,5 @@
 
 static double
-effective_radius(int mode, double rg)
+radius_effective(int mode, double rg)
 {
     switch (mode) {
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mono_gauss_coil.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -59,7 +59,7 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 * **Source added by :** Steve King **Date:** March 25, 2019"""
 
@@ -86,5 +86,5 @@
 source = ["mono_gauss_coil.c"]
 have_Fq = False
-effective_radius_type = ["R_g", "2R_g", "3R_g", "sqrt(5/3)*R_g"]
+radius_effective_modes = ["R_g", "2R_g", "3R_g", "sqrt(5/3)*R_g"]
 
 
Index: sasmodels/models/multilayer_vesicle.c
===================================================================
--- sasmodels/models/multilayer_vesicle.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/multilayer_vesicle.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -48,5 +48,5 @@
 
 static double
-effective_radius(int mode, double radius, double thick_shell, double thick_solvent, double fp_n_shells)
+radius_effective(int mode, double radius, double thick_shell, double thick_solvent, double fp_n_shells)
 {
     // case 1: outer radius
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision 6607260ee7aa5dd8ac172c86cdec32f354c2726d)
+++ sasmodels/models/multilayer_vesicle.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -154,5 +154,5 @@
 source = ["lib/sas_3j1x_x.c", "multilayer_vesicle.c"]
 have_Fq = True
-effective_radius_type = ["outer radius"]
+radius_effective_modes = ["outer radius"]
 
 def random():
Index: sasmodels/models/onion.c
===================================================================
--- sasmodels/models/onion.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/onion.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -47,5 +47,5 @@
 
 static double
-effective_radius(int mode, double radius_core, double n_shells, double thickness[])
+radius_effective(int mode, double radius_core, double n_shells, double thickness[])
 {
   // case 1: outer radius
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision 62dc8895694e8dcacf8cb65a82b543b1efa56f42)
+++ sasmodels/models/onion.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -8,5 +8,5 @@
 .. note::
 
-    *radius* represents the core radius $r_0$ and *thickness[k]* represents 
+    *radius* represents the core radius $r_0$ and *thickness[k]* represents
     the thickness of the shell, $r_{k+1} - r_k$.
 
@@ -60,5 +60,5 @@
 and the volume is $V(r) = \frac{4\pi}{3}r^3$.
 
-The volume of the particle is determined by the radius of the outer 
+The volume of the particle is determined by the radius of the outer
 shell, so $V_\text{particle} = V(r_N)$.
 
@@ -104,8 +104,8 @@
     B&=\frac{\rho_\text{out} - \rho_\text{in}}{e^A-1}
          & C &= \frac{\rho_\text{in}e^A - \rho_\text{out}}{e^A-1} \\
-         
+
     \alpha_\text{in} &= A\frac{r_{\text{shell}-1}}{\Delta t_\text{shell}}
          & \alpha_\text{out} &= A\frac{r_\text{shell}}{\Delta t_\text{shell}} \\
-         
+
     \beta_\text{in} &= qr_{\text{shell}-1}
         & \beta_\text{out} &= qr_\text{shell} \\
@@ -123,5 +123,5 @@
 **Linear SLD profile** ($A \sim 0$):
 
-For small $A$, say, $A = -0.0001$, the function converges to that of of a linear 
+For small $A$, say, $A = -0.0001$, the function converges to that of of a linear
 SLD profile with
 
@@ -159,5 +159,5 @@
 **Constant SLD** ($A = 0$):
 
-When $A = 0$ the exponential function has no dependence on the radius (meaning 
+When $A = 0$ the exponential function has no dependence on the radius (meaning
 $\rho_\text{out}$ is ignored in this case) and becomes flat. We set the constant
 to $\rho_\text{in}$ for convenience, and thus the form factor contributed by
@@ -197,6 +197,6 @@
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
 * **Source added by :** Steve King **Date:** March 25, 2019
@@ -347,5 +347,5 @@
 single = False
 have_Fq = True
-effective_radius_type = ["outer radius"]
+radius_effective_modes = ["outer radius"]
 
 profile_axes = ['Radius (A)', 'SLD (1e-6/A^2)']
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/parallelepiped.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -37,5 +37,5 @@
 
 static double
-effective_radius(int mode, double length_a, double length_b, double length_c)
+radius_effective(int mode, double length_a, double length_b, double length_c)
 {
     switch (mode) {
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/parallelepiped.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -240,5 +240,5 @@
 source = ["lib/gauss76.c", "parallelepiped.c"]
 have_Fq = True
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume", "equivalent volume sphere",
     "half length_a", "half length_b", "half length_c",
Index: sasmodels/models/pearl_necklace.c
===================================================================
--- sasmodels/models/pearl_necklace.c	(revision 44531368cbd90b0933fb61551a48e8edc051e6f9)
+++ sasmodels/models/pearl_necklace.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -86,5 +86,5 @@
 
 static double
-effective_radius(int mode, double radius, double edge_sep, double thick_string, double fp_num_pearls)
+radius_effective(int mode, double radius, double edge_sep, double thick_string, double fp_num_pearls)
 {
     switch (mode) {
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision c0136c722916ad8f651124ed56a25d1fb9118d2a)
+++ sasmodels/models/pearl_necklace.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
@@ -111,5 +111,5 @@
 source = ["lib/sas_Si.c", "lib/sas_3j1x_x.c", "pearl_necklace.c"]
 single = False  # use double precision unless told otherwise
-effective_radius_type = ["equivalent volume sphere"]
+radius_effective_modes = ["equivalent volume sphere"]
 
 def random():
Index: sasmodels/models/pringle.c
===================================================================
--- sasmodels/models/pringle.c	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/pringle.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -111,5 +111,5 @@
 
 static double
-effective_radius(int mode, double radius, double thickness, double alpha, double beta)
+radius_effective(int mode, double radius, double thickness, double alpha, double beta)
 {
     switch (mode) {
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/pringle.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -85,5 +85,5 @@
 source = ["lib/polevl.c", "lib/sas_J0.c", "lib/sas_J1.c",
           "lib/sas_JN.c", "lib/gauss76.c", "pringle.c"]
-effective_radius_type = [
+radius_effective_modes = [
     "equivalent cylinder excluded volume",
     "equivalent volume sphere",
Index: sasmodels/models/raspberry.c
===================================================================
--- sasmodels/models/raspberry.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
+++ sasmodels/models/raspberry.c	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
@@ -15,5 +15,5 @@
 
 static double
-effective_radius(int mode, double radius_lg, double radius_sm, double penetration)
+radius_effective(int mode, double radius_lg, double radius_sm, double penetration)
 {
     switch (mode) {
